## EXISTS TABLE Statement (exists_table_statement)

An EXISTS TABLE statement (exists_table_statement) indicates whether or not a table exists.

### Syntax

<exists_table_statement> ::= EXISTS TABLE <table_name>

### Explanation

The specified table must be a base table, view table, or a synonym.

The existence of non-existence of the specified table is indicated by the return code 0 or by the error message –4004 Unknown table name.

A table only exists for a user if the user has a privilege on this table.